<?php

/**
 * @file
 * Rector code rule definitions.
 */

declare(strict_types=1);

use Rector\Config\RectorConfig;
use Rector\TypeDeclaration\Rector\ClassMethod\AddVoidReturnTypeWhereNoReturnRector;
use Rector\TypeDeclaration\Rector\StmtsAwareInterface\DeclareStrictTypesRector;

return RectorConfig::configure()
  ->withPaths([
    __DIR__ . '/src',
    __DIR__ . '/tests',
  ])
    // Uncomment to reach your current PHP version.
  ->withPhpSets()
  ->withRules([
    AddVoidReturnTypeWhereNoReturnRector::class,
    DeclareStrictTypesRector::class,
  ]);
