<?php

declare(strict_types=1);

namespace Drupal\search_api_field_datasource\Hook;

use Drupal\Core\Entity\EntityInterface;
use Drupal\Core\Hook\Attribute\Hook;
use Drupal\search_api_field_datasource\Plugin\search_api\datasource\ContentEntityTrackingManager;

/**
 * Hook implementations for search_api_field_datasource.
 */
readonly class SearchApiFieldDatasourceEntityHooks {

  public function __construct(private ContentEntityTrackingManager $contentEntityTrackingManager) {}

  /**
   * Implements hook_entity_insert().
   */
  #[Hook('entity_insert')]
  public function entityInsert(EntityInterface $entity): void {
    $this->contentEntityTrackingManager->entityInsert($entity);
  }

  /**
   * Implements hook_entity_update().
   */
  #[Hook('entity_update')]
  public function entityUpdate(EntityInterface $entity): void {
    $this->contentEntityTrackingManager->entityUpdate($entity);
  }

  /**
   * Implements hook_entity_delete().
   */
  #[Hook('entity_delete')]
  public function entityDelete(EntityInterface $entity): void {
    $this->contentEntityTrackingManager->entityDelete($entity);
  }

}
