<?php

declare(strict_types=1);

namespace Drupal\search_api_field_datasource\Plugin\Deriver;

use Drupal\search_api\Plugin\search_api\datasource\ContentEntityDeriver as SearchApiContentEntityDeriver;

/**
 * Content entity deriver for field keyed datasource.
 */
class ContentEntityDeriver extends SearchApiContentEntityDeriver {

  /**
   * {@inheritDoc}
   */
  public function getDerivativeDefinitions($base_plugin_definition) {
    if ($this->derivatives === NULL) {
      parent::getDerivativeDefinitions($base_plugin_definition);
      foreach ($this->derivatives as $entity_type => $derivative) {
        $this->derivatives[$entity_type]['label'] .= ' Field Keyed';
      }
    }

    return $this->derivatives;
  }

}
