<?php

declare(strict_types=1);

namespace Drupal\search_api_field_datasource\Plugin\search_api\datasource;

use Drupal\Core\Entity\EntityInterface;

/**
 * Content entity datasource methods.
 */
interface ContentEntityDatasourceInterface {

  /**
   * Get the content entity's tracking id.
   *
   * Note: I wonder if this should return ids and handle the languages locally.
   *
   * @param \Drupal\Core\Entity\EntityInterface $entity
   *   Entity being tracked.
   * @param string $langcode
   *   Language code of the entity being tracked.
   *
   * @return string
   *   Tracking id.
   */
  public function getEntityTrackingId(EntityInterface $entity, string $langcode): string;

}
