<?php

namespace Drupal\Tests\search_api_field_datasource\Kernel;

use Drupal\KernelTests\KernelTestBase;
use Drupal\search_api_field_datasource\Hook\SearchApiFieldDatasourceEntityHooks;
use Drupal\search_api_field_datasource\Hook\SearchApiFieldDatasourceHooks;
use Drupal\search_api_field_datasource\Plugin\search_api\datasource\ContentEntityTrackingManager;
use GuzzleHttp\Client;

/**
 * Service test to smoke test our service definitions.
 */
class ServicesTest extends KernelTestBase {

  /**
   * {@inheritDoc}
   */
  protected static $modules = ['search_api', 'search_api_field_datasource'];

  /**
   * Test service definitions and make sure they're functional.
   */
  public function testServices() {
    $this->assertInstanceOf(
      SearchApiFieldDatasourceHooks::class,
      $this->container->get(SearchApiFieldDatasourceHooks::class),
    );
    $this->assertInstanceOf(
      SearchApiFieldDatasourceEntityHooks::class,
      $this->container->get(SearchApiFieldDatasourceEntityHooks::class),
    );
    $this->assertInstanceOf(
      ContentEntityTrackingManager::class,
      $this->container->get('search_api_field_datasource.entity_datasource.tracking_manager'),
    );
    $this->assertInstanceOf(
      ContentEntityTrackingManager::class,
      $this->container->get(ContentEntityTrackingManager::class),
    );
  }

}
